function [lat,lon] = latlon2yllxll(yll,xll)
%Function to convert modis xllcorner and yllcorner values to lat lon.


%Define the parameters for converting between xll and yll and lat long
%Where LAT=yll/(p1*p2) and  LON=xll/( cos(LAT*p/180) * (p1*p2) )
p2=0.0174532925199433;
p1=6371007.181;

lat=yll/(p1*p2);
lon=xll./(cos(lat*pi/180)*(p1*p2));